Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.io
Interface ResourceChangeMonitor

All Known Subinterfaces:
  ResourceChangeScanner

    public interface ResourceChangeMonitor

Subscribes and unsubscribes the given notifier to the requested resource. The Monitor will inform the notifier when when results it susbcribes to are changed via the ChangeSet interface.

This interface, as well as ChangeSet, ResourceChangeNotifier, ResourceChangeListener and ResourceChangeScanner are still considered subject to change. Use the XML format change-set, as part of the ResourceType api when adding to KnowledgeBuilder, which is considered stable. KnowledgeBuilder currently ignored Added/Modified xml elements, the KnowledgeAgent will use them, when rebuilding the KnowledgeBase.

Method Summary
`void` | `setSystemEventListener(SystemEventListener listener)`
`void` | `subscribeNotifier(ResourceChangeNotifier notifier, Resource resource)` Subscribe the notifier to receive change information on the given resource.
`void` | `unsubscribeNotifier(ResourceChangeNotifier notifier, Resource resource)` Unsubscribe the notifier for the given resource.

Method Detail

### subscribeNotifier

    void subscribeNotifier(ResourceChangeNotifier notifier,
                           Resource resource)

  Subscribe the notifier to receive change information on the given resource.

  Parameters:
    `notifier` -
    `resource` -

### unsubscribeNotifier

    void unsubscribeNotifier(ResourceChangeNotifier notifier,
                             Resource resource)

  Unsubscribe the notifier for the given resource.

  Parameters:
    `notifier` -
    `resource` -

### setSystemEventListener

    void setSystemEventListener(SystemEventListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.